/*
* Licensed Materials - Property of IBM Corp.
* IBM UrbanCode Build
* IBM UrbanCode Deploy
* IBM UrbanCode Release
* IBM AnthillPro
* (c) Copyright IBM Corporation 2002, 2016. All Rights Reserved.
*
* U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
* GSA ADP Schedule Contract with IBM Corp.
*/

import com.urbancode.air.AirPluginTool;
import com.urbancode.air.plugin.websphere.WebSphereBatchScriptHelper;

def apTool = new AirPluginTool(this.args[0], this.args[1]);
def props = apTool.getStepProperties();

scope = props['scope'];
name = props['name'];
jndiName = props['jndiName'];
busName = props['busName'];
type=props['type'];

StringBuilder builder = new StringBuilder();
builder.append("createSIBJMSConnectionFactory(")
           .append("\"").append(scope).append("\"").append(",")
           .append("\"").append(name).append("\"").append(",")
           .append("\"").append(jndiName).append("\"").append(",")
           .append("\"").append(busName).append("\"").append(",")
           .append("\"").append(type).append("\"")
builder.append(")")
command = builder.toString();

WebSphereBatchScriptHelper helper = new WebSphereBatchScriptHelper(props);
helper.execute(command);
